﻿
@model WebApplication1.Models.Wydarzenie
@{
    ViewBag.Title = "Tworzenie wydarzenia";
}

<h2>Tworzenie wydarzenia</h2>
<link href="~/Content/themes/base/datepicker.css" rel="stylesheet" />
<link href="~/Content/themes/base/jquery-ui.min.css" rel="stylesheet" />
    @section scripts{

        <script src="~/Scripts/jquery-ui-1.12.1.min.js"></script>
        <script>
            $(function () {
                $(".wydarzenie").datepicker({
                    dateFormat: "dd/MM/yy"
                })
                });
        </script>

        <script>
            function ShowHideDiv() {
                var chkYes = document.getElementById("chkYes");
                var dvtext = document.getElementById("dvtext");
                dvtext.style.display = chkYes.checked ? "block" : "none";
            }
        </script>
    }
    <p>
        @Html.ActionLink("Powrót na stronę główną", "Index")
    </p>
    <p>
        @Html.ActionLink("Lista wydarzeń", "Lista_wydarzeń")
    </p>


    <!DOCTYPE html>
    <body>
        <div>
            <font size="3">
                @using (Html.BeginForm("About", "Home"))
                {
                    @Html.DisplayNameFor(model => Model.nazwa)
                    <div>
                        @Html.TextBoxFor(model => Model.nazwa, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => Model.nazwa, "", new { @class = "text-danger" })
                    </div>
                    @Html.DisplayNameFor(model => Model.miasto)
                    <div>
                        @Html.TextBoxFor(model => Model.miasto)
                        @Html.ValidationMessageFor(model => Model.miasto, "", new { @class = "text-danger" })
                    </div>
                    @Html.DisplayNameFor(model => Model.ilość)
                    <div>
                        @Html.EditorFor(model => Model.ilość)
                        @Html.ValidationMessageFor(model => Model.ilość, "", new { @class = "text-danger" })
                        @*@Html.ValidationMessageFor(model => Model.ilość, "", new { @class = "text-danger" })*@
                    </div>
                    @Html.DisplayNameFor(model => Model.data)
                    <div>
                        @Html.EditorFor(model => model.data, new { htmlAttributes = new { @class = "wydarzenie" } })
                        @Html.ValidationMessageFor(model => Model.data, "", new { @class = "text-danger" })
                    </div>
                    @Html.DisplayNameFor(model => Model.odpłatność)
                    <div>
                        @*Płatne: <input checked="checked"
                                     id="odpłatność"
                                     name="odpłatność"
                                     type="radio"
                                     value="platne" />

                        darmowe: <input id="odpłatność"
                                       name="odpłatność"
                                       type="radio"
                                       value="darmowe" />*@
                        @*<label for="chkYes">
                            <input type="radio" id="chkYes" name="chk" onclick="ShowHideDiv()"/>
                            Yes
                        </label>
                        <label for"chkNo">
                            <input type="radio" id="chkNo" name="chk" onclick="ShowHideDiv()"/>
                            No                        
                        </label>
                        <div id="dvtext" style="display: none">
                            Cena biletu: <br />
                            <input type="text" id="txtBox"  />
                        </div>*@
                       Płatne: @Html.RadioButtonFor(model => Model.odpłatność,"Płatne")
                        Darmowe: @Html.RadioButtonFor(model => Model.odpłatność,"Darmowe")
                        @*@Html.TextBoxFor(model => Model.odpłatność)*@
        @Html.ValidationMessageFor(model => Model.odpłatność, "", new { @class = "text-danger" })
                    </div>
                    @Html.DisplayNameFor(model => Model.cena)
                    <div>
                        @Html.EditorFor(model => Model.cena)
                        @Html.ValidationMessageFor(model => Model.cena, "", new { @class = "text-danger" })
                    </div>
                    @Html.DisplayNameFor(model => Model.Email_Kontaktowy)
                    <div>
                        @Html.TextBoxFor(model => Model.Email_Kontaktowy)
                        @Html.ValidationMessageFor(model => Model.Email_Kontaktowy, "", new { @class = "text-danger" })
                    </div>
                    @Html.DisplayNameFor(model => Model.Numer_Kontaktowy)
                    <div>
                        @Html.TextBoxFor(model => Model.Numer_Kontaktowy)
                        @Html.ValidationMessageFor(model => Model.Numer_Kontaktowy, "", new { @class = "text-danger" })
                    </div>

                    <input id="Submit1" type="submit" value="Uwtórz" />

                }

            </font>

        </div>

    </body>
